import { DockerImage } from 'aws-cdk-lib';
export declare class TemporalVersion {
    version: string;
    private customizations?;
    static V1_13_0: TemporalVersion;
    static V1_13_1: TemporalVersion;
    static V1_13_2: TemporalVersion;
    static V1_14_0: TemporalVersion;
    static V1_14_1: TemporalVersion;
    static V1_14_2: TemporalVersion;
    static V1_14_3: TemporalVersion;
    static LATEST: TemporalVersion;
    private constructor();
    get containerImages(): {
        temporalServer: DockerImage;
        temporalAutoSetup: DockerImage;
        temporalAdminTools: DockerImage;
        temporalWeb: DockerImage;
    };
    withCustomizations(customizations: {
        repositoryBase: string;
    }): TemporalVersion;
}
